﻿@model eCommerce.Services.Model.Customer
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Clientes";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Clientes</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div class="example-wrap margin-lg-0">
                    <div class="nav-tabs-horizontal">
                        <ul class="nav nav-tabs nav-tabs-line" data-plugin="nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a data-toggle="tab" href="#CustomerInfo" aria-controls="UserInfo" role="tab" aria-expanded="true">Información del Usuario</a></li>
                            <li role="presentation"><a data-toggle="tab" href="#Addresses" aria-controls="Addresses" role="tab" aria-expanded="false">Direccion de Entrega</a></li>
                        </ul>

                        @using (Html.BeginForm("CustomerUpdate", "Customers", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                        {
                        <div class="tab-content padding-top-20">
                            <div class="tab-pane active" id="CustomerInfo" role="tabpanel">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Nombre y Apellido</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Fullname" value="@Model.FullName" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Email</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Email" value="@Model.Email" />
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Usuario</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Username" value="@Model.Username" />
                                    </div>
                                </div>*@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Password</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Password" value="@Model.Password" />
                                    </div>
                                </div>

                                @*<input type="hidden" name="UserType" id="UserType" value="@((int)UserTypeEnum.Mayorista)" />
                                <input type="hidden" name="PriceList" id="PriceList" value="@((int)PriceListEnum.Mayorista)" />*@

                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Tipo de Usuario</label>
                                    <div class="col-sm-4">
                                        <select class="form-control" name="UserType" id="UserType" data-plugin="select2">
                                            @if (TempData["UserTypes"] != null)
                                            {
                                                foreach (var item in (SelectList)TempData["UserTypes"])
                                                {
                                                    <option value="@item.Value" @(item.Selected ? "selected" : string.Empty)>@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Lista de Precios</label>
                                    <div class="col-sm-4">
                                        <select class="form-control" name="PriceList" id="PriceList" data-plugin="select2">
                                            @if (TempData["PriceLists"] != null)
                                            {
                                                foreach (var item in (SelectList)TempData["PriceLists"])
                                                {
                                                    <option value="@item.Value" @(item.Selected ? "selected" : string.Empty)>@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Provincia</label>
                                    <div class="col-sm-4">
                                        <select class="form-control" name="ProvinceId" id="ProvinceId" data-plugin="select2">
                                            @if (TempData["Provinces"] != null)
                                            {
                                                foreach (var item in (SelectList)TempData["Provinces"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>*@
                                @if (Model.City != null)
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Ciudad</label>
                                        <div class="col-sm-4">
                                            <input type="text" class="form-control" name="City" value="@Model.City" />
                                        </div>
                                    </div>
                                }
                                else
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Ciudad</label>
                                        <div class="col-sm-4">
                                            <input type="text" class="form-control" name="City" value="@(Model.CityId.HasValue ? Model.City1.Name : string.Empty)" />
                                        </div>
                                    </div>
                                }

                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Teléfono / Celular</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" name="PhoneNumber" value="@Model.Cellphone" />
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Celular</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" name="Cellphone" value="@Model.Cellphone"/>
                                    </div>
                                </div>*@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Razón Social</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="CorporateName" value="@Model.CorporateName" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Condición Iva</label>
                                    <div class="col-sm-5">
                                        <select id="IvaConditionId" name="IvaConditionId" class="form-control" data-plugin="select2">
                                            <option value=""></option>
                                            <option value="@((int)IvaConditionEnum.ConsumidorFinal)" @(Model.IvaConditionId == (int)IvaConditionEnum.ConsumidorFinal ? "selected" : string.Empty)>Consumidor Final</option>
                                            <option value="@((int)IvaConditionEnum.Monotributista)" @(Model.IvaConditionId == (int)IvaConditionEnum.Monotributista ? "selected" : string.Empty)>Monotributista</option>
                                            <option value="@((int)IvaConditionEnum.ResponsableInscripto)" @(Model.IvaConditionId == (int)IvaConditionEnum.ResponsableInscripto ? "selected" : string.Empty)>Responsable Inscripto (RI)</option>
                                            <option value="@((int)IvaConditionEnum.Exento)" @(Model.IvaConditionId == (int)IvaConditionEnum.Exento ? "selected" : string.Empty)>Exento</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">CUIT</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control js-cuit" name="CUIT" value="@Model.CUIT" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">C&oacute;digo Postal</label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control" name="ZipCode" value="@Model.ZipCode" />
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">DNI</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="DNI" value="@Model.DNI" />
                                    </div>
                                </div>*@
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Dirección de Facturación</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="BillingAddress" value="@Model.BillingAddress" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Forma de Facturación</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="BillingForm" value="@Model.BillingForm" />
                                    </div>
                                </div>*@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Marcas afines</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="WorkingBrands" value="@Model.WorkingBrands" />
                                    </div>
                                </div>
                                @if (Model.HasStore.HasValue)
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Tiene local</label>
                                        <div class="col-sm-1">
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" id="HasStore" name="HasStore" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.HasStore.Value ? "checked" : "") />
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Fecha contacto</label>
                                    <div class="col-sm-5">
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="icon wb-calendar" aria-hidden="true"></i>
                                            </span>
                                            <input type="text" class="form-control js-contact-date" name="ContactDate" value="@(Model.ContactDate.HasValue ? Model.ContactDate.Value.ToShortDateString() : string.Empty)" data-plugin="datepicker" />
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Observaciones</label>
                                    <div class="col-sm-5">
                                        <textarea class="form-control" name="Observations" rows="3">@Model.Observations</textarea>
                                        @*<input type="text" class="form-control" name="Observations" value="@Model.Observations" />*@
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Fecha respuesta contacto</label>
                                    <div class="col-sm-5">
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="icon wb-calendar" aria-hidden="true"></i>
                                            </span>
                                            <input type="text" class="form-control js-contactanswer-date" name="ContactAnswerDate" value="@(Model.ContactAnswerDate.HasValue ? Model.ContactAnswerDate.Value.ToShortDateString() : string.Empty)" data-plugin="datepicker" />
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Respuesta de contacto</label>
                                    <div class="col-sm-5">
                                        <textarea class="form-control" name="CustomerAnswer" rows="3">@Model.CustomerAnswer</textarea>
                                        @*<input type="text" class="form-control" name="CustomerAnswer" value="@Model.CustomerAnswer" />*@
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Donde vende</label>
                                    <div class="col-sm-5">
                                        <select id="SellingLocationId" name="SellingLocationId" class="form-control" data-plugin="select2">
                                            <option value=""></option>
                                            <option value="@((int)SellingLocationEnum.Local)" @(Model.SellingLocationId == (int)SellingLocationEnum.Local ? "selected" : string.Empty)>Local</option>
                                            <option value="@((int)SellingLocationEnum.Ninguno)" @(Model.SellingLocationId == (int)SellingLocationEnum.Ninguno ? "selected" : string.Empty)>Ninguno</option>
                                            <option value="@((int)SellingLocationEnum.Showroom)" @(Model.SellingLocationId == (int)SellingLocationEnum.Showroom ? "selected" : string.Empty)>Showroom</option>
                                        </select>
                                    </div>
                                </div>
                                
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Activo</label>
                                    <div class="col-sm-1">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" id="Enabled" name="Enabled" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Enabled ? "checked" : "")  />
                                        </div>
                                    </div>
                                </div>
                                @*@if (ViewContext.Controller.HasRole("SuperAdmin") && Model.CustomerId > 0)
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Vendedor</label>
                                        <div class="col-sm-2">
                                            <select class="form-control" id="SalerSelect" data-plugin="select2">
                                                @if (TempData["USERS"] != null)
                                                {
                                                    foreach (var item in (SelectList)TempData["USERS"])
                                                    {
                                                        <option value="@item.Value" selected="@(item.Selected)">@item.Text</option>
                                                    }
                                                }
                                            </select>
                                        </div>
                                    </div>
                                }*@
                                
                            </div>
                            
                            <div class="tab-pane " id="Addresses" role="tabpanel">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Calle</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="Address" value="@Model.Address" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Altura</label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control" name="AddressNumber" value="@Model.AddressNumber" />
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Piso</label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control" name="Floor" value="@Model.Floor" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Departamento</label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control" name="Department" value="@Model.Department" />
                                    </div>
                                </div>*@
                              
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Empresa de Transporte</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="ShipmentCompany" value="@Model.ShipmentCompany" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Dirección Transporte</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="ShipmentCompanyAddress" value="@Model.ShipmentCompanyAddress" />
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Teléfono Transporte</label>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control" name="ShipmentCompanyTel" value="@Model.ShipmentCompanyTel" />
                                    </div>
                                </div>*@
                            </div>
                            
                        </div>

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Customers'">Cancelar</button>
                            @Html.HiddenFor(model => model.CustomerId)
                            <input type="hidden" id="SalerId" name="SalerId" value="@Model.SalerId"/>
                        </div>

                        }
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>
</div>

@section Scripts {


    <script type="text/javascript">

        @*$(document).ready(function () {
            debugger;

            $("#CityId").CascadingDropDown("#Province", '/Customers/AsyncCities/',
            {
                promptText: 'Elija una Ciudad',
                postData: function () {
                    return { ProvinceId: $('#Province').val() };
                },
                onLoading: function () {
                    $(this).css("background-color", "#ffffff");
                },
                onLoaded: function () {
                    $(this).val('@Model.CityId.ToString()').change();
                    $(this).animate({ backgroundColor: '#ffffff' }, 300);
                }
            });

            $('#Province').change();
        });*@


        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Fullname: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre y Apellido es requerido.'
                            }
                        }
                    },
                    Email: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Email es requerido.'
                            },
                            emailAddress: {
                                message: 'El email ingresado es inválido.'
                            }
                        }
                    }
                }
            });
        })();

        $(document).ready(function () {
            setActionsDialogs();

            $("#SalerSelect").change(function () {
                $("#SalerId").val($(this).val());
            });

            $('.js-cuit').mask('00-00000000-0');
        })

        function fDeleteCustomerAddess(Id) {
            $.ajax({
                url: "/Customers/CustomerAddressDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('#Addresses').html(data);
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs() {
            $('.remove-row').on("click", function () {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm)
                {
                    if (isConfirm)
                    {
                        debugger;
                        fDeleteCustomerAddess(rowId);
                    }
                });
            });
        }


    </script>
}

